Debian Bug report logs - #628879
RFP: libcmlxom-java -- Java reference implementation of the Chemical Markup Language schema

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Egon Willighagen <egon.willighagen@gmail.com>

Date: Thu, 2 Jun 2011 05:00:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, egon.willighagen@gmail.com, wnpp@debian.org:
Bug#628879; Package wnpp. (Thu, 02 Jun 2011 05:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Egon Willighagen <egon.willighagen@gmail.com>:
New Bug report received and forwarded. Copy sent to egon.willighagen@gmail.com, wnpp@debian.org. (Thu, 02 Jun 2011 05:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Egon Willighagen <egon.willighagen@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libcmlxom-java -- Java reference implementation of the Chemical Markup Language schema
Date: Thu, 02 Jun 2011 06:57:22 +0200
Package: wnpp
Severity: wishlist

  Package name    : libcmlxom-java
  Version         : 3.0; reported 2011-06-02
  Upstream Author : Peter Murray-Rust Group <chem-pmrgroup@lists.cam.ac.uk>
  URL             : https://bitbucket.org/wwmm/cmlxom/overview
  License         : Artistic License 2.0
  Programming Lang: Java
  Description     : Java reference implementation of the Chemical Markup Language schema

Java library based on libxom-java to work with Chemical Markup Language (CML) documents.
It is a (optional) dependency for the libcdk-java package.

At the time of writing, I could not find a downloadable tar.gz nor an explicit LICENSE,
and this needs to be resolved. The license is however specified in the pom.xml file
given at the listed URL, along with the authors.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 14 Jun 2011 20:09:14 GMT) Full text and rfc822 format available.

Reply sent to Romain Beauxis <toots@rastageeks.org>:
You have taken responsibility. (Tue, 14 Jun 2011 21:07:18 GMT) Full text and rfc822 format available.

Notification sent to Egon Willighagen <egon.willighagen@gmail.com>:
Bug acknowledged by developer. (Tue, 14 Jun 2011 21:07:19 GMT) Full text and rfc822 format available.

Message #12 received at 628879-close@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: 628879-close@bugs.debian.org
Subject: Bug#628879: fixed in oss4 4.2-build2004-1
Date: Tue, 14 Jun 2011 21:04:52 +0000
Source: oss4
Source-Version: 4.2-build2004-1

We believe that the bug you reported is fixed in the latest version of
oss4, which is due to be installed in the Debian FTP archive:

liboss4-salsa-asound2_4.2-build2004-1_all.deb
  to main/o/oss4/liboss4-salsa-asound2_4.2-build2004-1_all.deb
liboss4-salsa-dev_4.2-build2004-1_amd64.deb
  to main/o/oss4/liboss4-salsa-dev_4.2-build2004-1_amd64.deb
liboss4-salsa2_4.2-build2004-1_amd64.deb
  to main/o/oss4/liboss4-salsa2_4.2-build2004-1_amd64.deb
oss4-base_4.2-build2004-1_amd64.deb
  to main/o/oss4/oss4-base_4.2-build2004-1_amd64.deb
oss4-dev_4.2-build2004-1_all.deb
  to main/o/oss4/oss4-dev_4.2-build2004-1_all.deb
oss4-dkms_4.2-build2004-1_amd64.deb
  to main/o/oss4/oss4-dkms_4.2-build2004-1_amd64.deb
oss4-gtk_4.2-build2004-1_amd64.deb
  to main/o/oss4/oss4-gtk_4.2-build2004-1_amd64.deb
oss4_4.2-build2004-1.debian.tar.gz
  to main/o/oss4/oss4_4.2-build2004-1.debian.tar.gz
oss4_4.2-build2004-1.dsc
  to main/o/oss4/oss4_4.2-build2004-1.dsc
oss4_4.2-build2004.orig.tar.bz2
  to main/o/oss4/oss4_4.2-build2004.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628879@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Romain Beauxis <toots@rastageeks.org> (supplier of updated oss4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 14 Jun 2011 10:06:56 -0500
Source: oss4
Binary: oss4-base oss4-gtk oss4-dkms oss4-dev liboss4-salsa2 liboss4-salsa-dev liboss4-salsa-asound2
Architecture: source all amd64
Version: 4.2-build2004-1
Distribution: unstable
Urgency: low
Maintainer: Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>
Changed-By: Romain Beauxis <toots@rastageeks.org>
Description: 
 liboss4-salsa-asound2 - OSS to Alsa compatibility library - binary compatibility symlink
 liboss4-salsa-dev - OSS to Alsa compatibility library -- development files
 liboss4-salsa2 - OSS to Alsa compatibility library
 oss4-base  - Open Sound System - base package
 oss4-dev   - Open Sound System - development files
 oss4-dkms  - Open Sound System - DKMS module sources
 oss4-gtk   - Open Sound System - simple GTK2-based mixer control
Closes: 589127 595298 604679 619272 627149 628879
Changes: 
 oss4 (4.2-build2004-1) unstable; urgency=low
 .
   [ Samuel Thibault ]
   * debian/control: Add liboss4-salsa2, liboss4-salsa-dev and
     liboss4-salsa-asound2 packages, equivalent to (and will replace) those from
     the oss-libsalsa package (Closes: #589127).
   * debian/patches/liboss4-salsa.patch: New patch to rename libsalsa into
     liboss4-salsa to avoid conflicts in the archive for no good reason.
   * debian/rules: Make in libOSSlib and libsalsa.
   * debian/liboss4-salsa-dev.install, debian/liboss4-salsa2.install,
     debian/liboss4-salsa-asound2.links, debian/liboss4-salsa-dev.links:
     Install liboss4-salsa libraries like was done in the oss-libsalsa package.
   * include-alsa: Add a copy of ALSA 1.0.5 headers: Cf ALSA_1.0.* symbols in
     libsalsa, this is the roughly supported version.
   * debian/copyright: Update for new include-alsa files.
   * alsa.pc: New file for compatibility with libasound-dev.
   * debian/control:
     - Add Vcs-Browser and Vcs-Svn fields.
     - Use linux-any instead of the list of Linux archs (Closes: #604679).
     - Make dkms dependency linux-any only.
   * debian/patches/hurd_iot.patch: New patch to fix soundcard.h usage in
     libsalsa on hurd-i386.
   * debian/patches/libsalsa_fixes.patch: New patch to fix some printf usages
     and ioctl declaration in libsalsa.
   * debian/patches/no_EBADE.patch: New patch to cope with hurd-i386 not having
     EBADE.
   * debian/patches/CFLAGS.patch: New patch to make oss4 take debian/rules
     CFLAGS into account.
   * debian/patches/snd_asoundlib_version.patch: New patch to add
     snd_asoundlib_version().
   * debian/patches/generic_srccconf.patch: New patch to fix source
     configuration on unknown archs.
 .
   [ Romain Beauxis ]
   * Fixed README.Debian to only mention dkms' modules.
   * Switch to dpkg-source 3.0 (quilt) format
   * Added DM-Upload-Allowed: yes
 .
   [ Sebastien NOEL ]
   * New upstream release (Closes: #595298, #619272).
   * Fix typo in initscript (Closes: #627149).
   * debian/control: adjust linux-headers dependencies (Closes: #628879).
Checksums-Sha1: 
 8e4af1a0002bcdcb2701d5ec24c1f70f521a6adf 1776 oss4_4.2-build2004-1.dsc
 75c3ff1cf3e3bd5b351b1f778100387f998c7f3a 1790085 oss4_4.2-build2004.orig.tar.bz2
 259637c547713d5779dd2041a65674989f511cfb 74503 oss4_4.2-build2004-1.debian.tar.gz
 4f2dfff380527c8cedc093248f1209f485accfac 29370 oss4-dev_4.2-build2004-1_all.deb
 dd091e471afa297b9b7da669f9631996efc3bf79 6118 liboss4-salsa-asound2_4.2-build2004-1_all.deb
 e664f9c2a5bc9d6b551ee12290bf9f29bf5055bc 628876 oss4-base_4.2-build2004-1_amd64.deb
 0ad39e84711b00617ae549c4b96b2f6ee05cd979 30664 oss4-gtk_4.2-build2004-1_amd64.deb
 1e3669e7f8b1b9f34261e343cbf27173b894b9a6 1033258 oss4-dkms_4.2-build2004-1_amd64.deb
 47882d8c457415477ac6fed98fa83dbd44d030b2 54142 liboss4-salsa2_4.2-build2004-1_amd64.deb
 9a84bf5a02891d992014d192056c04aeb2fd263e 107438 liboss4-salsa-dev_4.2-build2004-1_amd64.deb
Checksums-Sha256: 
 57a3287663b207bc72574805ed301de96e96d49105809fb1f089e6ce38218c95 1776 oss4_4.2-build2004-1.dsc
 6a4ac364c6ed022467b23a9db137857afa9f8e9706a4bdbcb85b98efcde3f4a0 1790085 oss4_4.2-build2004.orig.tar.bz2
 41f22954f7b5664b4d7606db65b9944d42aa1edf8ec04f3d362bfe98b7807924 74503 oss4_4.2-build2004-1.debian.tar.gz
 3e3c844ddf4dfe643e6a22667625d6c6e7bf51555af7ded7d31ff84994e4740c 29370 oss4-dev_4.2-build2004-1_all.deb
 3fa5cb13d87828a9b260f76b68d5f01a63fac968f16978de6e0f59ee8b545451 6118 liboss4-salsa-asound2_4.2-build2004-1_all.deb
 e167fb308581344765d8a72aa27b5449a7116a1158b7b9c1b95203beb503cc93 628876 oss4-base_4.2-build2004-1_amd64.deb
 ced8df702a8cc1f4b44aea0b38b093fdde3c3e814df3393cc54887ad8538e2a8 30664 oss4-gtk_4.2-build2004-1_amd64.deb
 f57e5839fe0ddd0691a6f1a8cf9e63fac1fa8a21ef0cf4bc37de8f6be6415fc2 1033258 oss4-dkms_4.2-build2004-1_amd64.deb
 1e751cc4900d091f220960c1dd9261cab39d38eb67b377fd08b4203dc7bbfdbe 54142 liboss4-salsa2_4.2-build2004-1_amd64.deb
 35b042d2e487f81b8b46525315dacda358d7129a0625be7ad7dd6fd060784453 107438 liboss4-salsa-dev_4.2-build2004-1_amd64.deb
Files: 
 ca6495fde635c3f68e801d17a9949190 1776 sound optional oss4_4.2-build2004-1.dsc
 256aba264d523fb8ee444aaacfb8d3da 1790085 sound optional oss4_4.2-build2004.orig.tar.bz2
 935285bf77d7c515bde4a9da78efc92f 74503 sound optional oss4_4.2-build2004-1.debian.tar.gz
 8ed654c23060cf87615ce2891ce03491 29370 devel optional oss4-dev_4.2-build2004-1_all.deb
 8222cd27c36ebf2623069a8556c8971c 6118 libs optional liboss4-salsa-asound2_4.2-build2004-1_all.deb
 1c52b1845e95db10fa5b143e7e2b9b8a 628876 sound optional oss4-base_4.2-build2004-1_amd64.deb
 41268b316bf94a09a9771d30dd3d5427 30664 sound optional oss4-gtk_4.2-build2004-1_amd64.deb
 ea8f9f4488b188fa72c9abb7e45719ab 1033258 kernel optional oss4-dkms_4.2-build2004-1_amd64.deb
 2d171d8b0cd7f4a64d346e6bc7e8a667 54142 libs optional liboss4-salsa2_4.2-build2004-1_amd64.deb
 7f47eeeda163c8a9e20b4e9fc4dcb008 107438 libdevel optional liboss4-salsa-dev_4.2-build2004-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJN95W4AAoJEAC5aaocqV0ZIwUIAKGVhFoBXTIh6a1VuedcXNou
bItYTDVbKUTIEwrcQMiyqDLyamuIDfkfkVnKv/nieXiJgHO37uzO9Xnmd8LLkziA
WSiZlrcAhjW6e6QjpcOL1JZchB0r0C6t906/qSaVVxGg4q1wHe9OLoQI3x5cU00S
HVgOw4Hu93PNmZwlLX7ufcqRLTR6EOoq3cVCotPr8+9xvFk7EzeavKYMn1Wb6eQ+
Hxbwc9YPe9C0Usm7ImBU03DfDYwx2XNKriUnvb41S134eCPTGSuFsImtHhXvDao/
C+PJhTT81a8N+3L6GPuzsF/ZD5M9ZMbgACxMM5hEJOIsCZzkIw7XVN1XKFxw8Ic=
=SO3n
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions oss4/4.2-build2004-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 Jun 2011 05:18:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:34:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.